/**
   @author Shin'ichiro Nakaoka
*/

#include "gettext.h"

#if CNOID_ENABLE_GETTEXT

#include <libintl.h>

namespace cnoid {
    const char* getText(const char* domainname, const char* msgid)
    {
        return dgettext(domainname, msgid);
    }
}

#else

namespace cnoid {
    const char* getText(const char* domainname, const char* msgid)
    {
        return msgid;
    }
}

#endif
